Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jms.support.destination
Interface CachingDestinationResolver

All Superinterfaces:
  DestinationResolver

All Known Implementing Classes:
  JndiDestinationResolver

    public interface CachingDestinationResolver

extends DestinationResolver

Extension of the DestinationResolver interface, exposing methods for clearing the cache.

Since:
  2.0
Author:
  Juergen Hoeller

Method Summary
`void` | `clearCache()` Clear the entire destination cache.
`void` | `removeFromCache(String destinationName)` Remove the destination with the given name from the cache (if cached by this resolver in the first place).

Methods inherited from interface org.springframework.jms.support.destination.DestinationResolver
`resolveDestinationName`

Method Detail

### removeFromCache

    void removeFromCache(String destinationName)

  Remove the destination with the given name from the cache (if cached by this resolver in the first place).

  To be called if access to the specified destination failed, assuming that the JMS Destination object might have become invalid.

  Parameters:
    `destinationName` - the name of the destination

### clearCache

    void clearCache()

  Clear the entire destination cache.

  To be called in case of general JMS provider failure.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD